zenilib: zenilib/jni/external/openal-soft/OpenAL32/Include/alSource.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions | Variables
alSource.h File Reference
`#include "alMain.h"`
`#include "alu.h"`
`#include "alFilter.h"`

Go to the source code of this file.

## Classes

struct | ALbufferlistitem
struct | ALsource
struct | DirectParams
struct | HrtfParams
struct | HrtfState
struct | SendParams

## Macros

#define | ALsource_Update(s, a) ((s)->Update(s,a))
#define | MAX_SENDS 4
#define | SRC_HISTORY_BITS (6)
#define | SRC_HISTORY_LENGTH (1<<SRC_HISTORY_BITS)
#define | SRC_HISTORY_MASK (SRC_HISTORY_LENGTH-1)

## Typedefs

typedef struct ALbufferlistitem | ALbufferlistitem
typedef struct ALsource | ALsource
typedef struct DirectParams | DirectParams
typedef struct HrtfParams | HrtfParams
typedef struct HrtfState | HrtfState
typedef struct SendParams | SendParams

## Functions

ALboolean | ApplyOffset (ALsource *Source)
ALvoid | ReleaseALSources (ALCcontext *Context)
ALvoid | SetSourceState (ALsource *Source, ALCcontext *Context, ALenum state)

## Variables

enum Resampler | DefaultResampler
const ALsizei | ResamplerPadding [ResamplerMax]
const ALsizei | ResamplerPrePadding [ResamplerMax]

## Macro Definition Documentation

#define ALsource_Update | ( |  | s,
|  |  | a
| ) |  | ((s)->Update(s,a))

Definition at line 179 of file alSource.h.

Referenced by alDeferUpdatesSOFT(), aluMixData(), and UpdateDeviceParams().

#define MAX_SENDS 4

Definition at line 4 of file alSource.h.

Referenced by alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alDeleteSources(), CalcNonAttnSourceParams(), CalcSourceParams(), InitSourceParams(), ReleaseALSources(), and UpdateDeviceParams().

#define SRC_HISTORY_BITS (6)

Definition at line 14 of file alSource.h.

#define SRC_HISTORY_LENGTH (1<<SRC_HISTORY_BITS)

Definition at line 15 of file alSource.h.

Referenced by LoadHrtf00(), LoadHrtf01(), and SetSourceState().

#define SRC_HISTORY_MASK (SRC_HISTORY_LENGTH-1)

Definition at line 16 of file alSource.h.

Referenced by MixDirect_Hrtf().

## Typedef Documentation

typedef struct ALbufferlistitem ALbufferlistitem

typedef struct ALsource ALsource

typedef struct DirectParams DirectParams

typedef struct HrtfParams HrtfParams

typedef struct HrtfState HrtfState

typedef struct SendParams SendParams

## Function Documentation

ALboolean ApplyOffset | ( | ALsource * | Source | ) |

Definition at line 2596 of file alSource.c.

References AL_FALSE, AL_TRUE, ALbufferlistitem::buffer, ALsource::BuffersPlayed, GetSampleOffset(), ALbufferlistitem::next, ALsource::position, ALsource::position_fraction, ALsource::queue, and ALbuffer::SampleLen.

Referenced by alProcessUpdatesSOFT(), SetSourcefv(), SetSourceiv(), and SetSourceState().

ALvoid ReleaseALSources | ( | ALCcontext * | Context | ) |

Definition at line 2705 of file alSource.c.

References al_free(), UIntMap::array, ALbufferlistitem::buffer, free, FreeThunkEntry(), ALsource::id, j, MAX_SENDS, memset, ALbufferlistitem::next, NULL, ALsource::queue, ALeffectslot::ref, ALbuffer::ref, ALsource::Send, UIntMap::size, ALsource::Slot, ALCcontext_struct::SourceMap, and UIntMap::value.

Referenced by FreeContext().

ALvoid SetSourceState | ( | ALsource * | Source,
|  | ALCcontext * | Context,
|  | ALenum | state
| ) |  |

Definition at line 2312 of file alSource.c.

References ALCcontext_struct::ActiveSourceCount, ALCcontext_struct::ActiveSources, AL_FALSE, AL_INITIAL, AL_PAUSED, AL_PLAYING, AL_STOPPED, ApplyOffset(), ALbufferlistitem::buffer, ALsource::BuffersInQueue, ALsource::BuffersPlayed, ALCdevice_struct::Connected, HrtfState::Counter, ALCcontext_struct::Device, HRIR_LENGTH, ALsource::Hrtf, j, k, MaxChannels, HrtfState::Moving, ALbufferlistitem::next, NULL, ALsource::Offset, ALsource::position, ALsource::position_fraction, ALsource::queue, ALbuffer::SampleLen, SetSourceState(), SRC_HISTORY_LENGTH, and ALsource::state.

Referenced by alProcessUpdatesSOFT(), alSourcePausev(), alSourcePlayv(), alSourceRewindv(), alSourceStopv(), and SetSourceState().

## Variable Documentation

enum Resampler DefaultResampler

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 37 of file alSource.c.

Referenced by alc_initconfig(), and InitSourceParams().

const ALsizei ResamplerPadding[ResamplerMax]

Definition at line 38 of file alSource.c.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), and MixSource().

const ALsizei ResamplerPrePadding[ResamplerMax]

Definition at line 43 of file alSource.c.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), and MixSource().